GET v1/trades/{id}
GET /v1/trades/{id}
Get a single trades by id.
For more information you can check our Authentication V1 article.
This endpoint can be used for more detailed information about orders.
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
| X-PCK | {{X-PCK}} |
| X-Signature | {{X-Signature}} |
| X-Stamp | {{X-Stamp}} |
| X-Nonce | {{X-Nonce}} |
Response
- 200
- 404
{
"id": "1003063838839889333",
"orderId": "433614",
"feePercentage": "0.0006666670000000",
"taxPercentage": "0.2000000000000000",
"price": "49000.0000000000000000",
"createdAt": "2024-03-18T12:42:38.5381806",
"accountId": "1db31fd2df9642d5b2ecbe09129697d9",
"side": "Buy", //Buy, Sell
"feeType": "Taker", //Taker, Maker
"pairSymbol": "ETHTRY",
"amount": "0.2039184977732752",
"denominatorAmount": "-9992.0063908904848000",
"feeAmount": "-6.6613409245957868",
"taxAmount": "-1.3322681849191573",
"externalOrderId": "test-order"
}
{
"type": "https://tools.ietf.org/html/rfc9110#section-15.5.5",
"title": "Not Found",
"status": 404,
"traceId": "0HN278NGT6JUB:0000000E"
}